alter table Attachment drop constraint FK1C935438EF5F064;
alter table Attachment drop constraint FK1C93543F21826D9;
alter table BooleanExpression drop constraint FKE3D208C0AFB75F7D;
alter table Deadline drop constraint FK21DF3E78684BACA3;
alter table Deadline drop constraint FK21DF3E7827ABEB8A;
alter table Delegation_delegates drop constraint FK47485D572C122ED2;
alter table Delegation_delegates drop constraint FK47485D5736B2F154;
alter table Escalation drop constraint FK67B2C6B5C7A04C70;
alter table EventTypes drop constraint FKB0E5621F7665489A;
alter table I18NText drop constraint FK2349686B2162DFB4;
alter table I18NText drop constraint FK2349686BD488CEEB;
alter table I18NText drop constraint FK2349686B5EEBB6D9;
alter table I18NText drop constraint FK2349686B3330F6D9;
alter table I18NText drop constraint FK2349686B8046A239;
alter table I18NText drop constraint FK2349686B69B21EE8;
alter table I18NText drop constraint FK2349686BB2FA6B18;
alter table I18NText drop constraint FK2349686B98B62B;
alter table I18NText drop constraint FK2349686BF952CEE4;
alter table Notification drop constraint FK2D45DD0B3E0890B;
alter table Notification_BAs drop constraint FK2DD68EE02C122ED2;
alter table Notification_BAs drop constraint FK2DD68EE09C76EABA;
alter table Notification_Recipients drop constraint FK98FD214E2C122ED2;
alter table Notification_Recipients drop constraint FK98FD214E9C76EABA;
alter table Notification_email_header drop constraint FKF30FE3441F7B912A;
alter table Notification_email_header drop constraint FKF30FE34430BE501C;
alter table PeopleAssignments_BAs drop constraint FK9D8CF4EC2C122ED2;
alter table PeopleAssignments_BAs drop constraint FK9D8CF4EC36B2F154;
alter table PeopleAssignments_ExclOwners drop constraint FKC77B97E42C122ED2;
alter table PeopleAssignments_ExclOwners drop constraint FKC77B97E436B2F154;
alter table PeopleAssignments_PotOwners drop constraint FK1EE418D2C122ED2;
alter table PeopleAssignments_PotOwners drop constraint FK1EE418D36B2F154;
alter table PeopleAssignments_Recipients drop constraint FKC6F615C22C122ED2;
alter table PeopleAssignments_Recipients drop constraint FKC6F615C236B2F154;
alter table PeopleAssignments_Stakeholders drop constraint FK482F79D52C122ED2;
alter table PeopleAssignments_Stakeholders drop constraint FK482F79D536B2F154;
alter table Reassignment drop constraint FK724D0560A5C17EE0;
alter table Reassignment_potentialOwners drop constraint FK90B59CFF2C122ED2;
alter table Reassignment_potentialOwners drop constraint FK90B59CFFE17E130F;
alter table SubTasksStrategy drop constraint FKDE5DF2E136B2F154;
alter table Task drop constraint FK27A9A59E619A0;
alter table Task drop constraint FK27A9A56CE1EF3A;
alter table Task drop constraint FK27A9A5F213F8B5;
alter table task_comment drop constraint FK61F475A5B35E68F5;
alter table task_comment drop constraint FK61F475A52FF04688;
drop table Attachment if exists;
drop table BooleanExpression if exists;
drop table Content if exists;
drop table Deadline if exists;
drop table Delegation_delegates if exists;
drop table Escalation if exists;
drop table EventTypes if exists;
drop table I18NText if exists;
drop table NodeInstanceLog if exists;
drop table Notification if exists;
drop table Notification_BAs if exists;
drop table Notification_Recipients if exists;
drop table Notification_email_header if exists;
drop table OrganizationalEntity if exists;
drop table PeopleAssignments_BAs if exists;
drop table PeopleAssignments_ExclOwners if exists;
drop table PeopleAssignments_PotOwners if exists;
drop table PeopleAssignments_Recipients if exists;
drop table PeopleAssignments_Stakeholders if exists;
drop table ProcessInstanceInfo if exists;
drop table ProcessInstanceLog if exists;
drop table Reassignment if exists;
drop table Reassignment_potentialOwners if exists;
drop table SessionInfo if exists;
drop table SubTasksStrategy if exists;
drop table Task if exists;
drop table VariableInstanceLog if exists;
drop table WorkItemInfo if exists;
drop table email_header if exists;
drop table task_comment if exists;
create table Attachment (id bigint generated by default as identity (start with 1), accessType integer, attachedAt timestamp, attachmentContentId bigint not null, contentType varchar(255), name varchar(255), attachment_size integer, attachedBy_id varchar(255), TaskData_Attachments_Id bigint, primary key (id));
create table BooleanExpression (id bigint generated by default as identity (start with 1), expression longvarchar, type varchar(255), Escalation_Constraints_Id bigint, primary key (id));
create table Content (id bigint generated by default as identity (start with 1), content longvarbinary, primary key (id));
create table Deadline (id bigint generated by default as identity (start with 1), deadline_date timestamp, escalated bit not null, Deadlines_StartDeadLine_Id bigint, Deadlines_EndDeadLine_Id bigint, primary key (id));
create table Delegation_delegates (task_id bigint not null, entity_id varchar(255) not null);
create table Escalation (id bigint generated by default as identity (start with 1), name varchar(255), Deadline_Escalation_Id bigint, primary key (id));
create table EventTypes (InstanceId bigint not null, element varchar(255));
create table I18NText (id bigint generated by default as identity (start with 1), language varchar(255), text longvarchar, Notification_Subjects_Id bigint, Notification_Names_Id bigint, Notification_Documentation_Id bigint, Notification_Descriptions_Id bigint, Reassignment_Documentation_Id bigint, Deadline_Documentation_Id bigint, Task_Subjects_Id bigint, Task_Names_Id bigint, Task_Descriptions_Id bigint, primary key (id));
create table NodeInstanceLog (id bigint generated by default as identity (start with 1), log_date timestamp, nodeId varchar(255), nodeInstanceId varchar(255), nodeName varchar(255), processId varchar(255), processInstanceId bigint not null, type integer not null, primary key (id));
create table Notification (DTYPE varchar(31) not null, id bigint generated by default as identity (start with 1), priority integer not null, Escalation_Notifications_Id bigint, primary key (id));
create table Notification_BAs (task_id bigint not null, entity_id varchar(255) not null);
create table Notification_Recipients (task_id bigint not null, entity_id varchar(255) not null);
create table Notification_email_header (Notification_id bigint not null, emailHeaders_id bigint not null, mapkey varchar(255), primary key (Notification_id, mapkey), unique (emailHeaders_id));
create table OrganizationalEntity (DTYPE varchar(31) not null, id varchar(255) not null, primary key (id));
create table PeopleAssignments_BAs (task_id bigint not null, entity_id varchar(255) not null);
create table PeopleAssignments_ExclOwners (task_id bigint not null, entity_id varchar(255) not null);
create table PeopleAssignments_PotOwners (task_id bigint not null, entity_id varchar(255) not null);
create table PeopleAssignments_Recipients (task_id bigint not null, entity_id varchar(255) not null);
create table PeopleAssignments_Stakeholders (task_id bigint not null, entity_id varchar(255) not null);
create table ProcessInstanceInfo (InstanceId bigint generated by default as identity (start with 1), lastModificationDate timestamp, lastReadDate timestamp, processId varchar(255), processInstanceByteArray longvarbinary, startDate timestamp, state integer not null, OPTLOCK integer, primary key (InstanceId));
create table ProcessInstanceLog (id bigint generated by default as identity (start with 1), end_date timestamp, processId varchar(255), processInstanceId bigint not null, start_date timestamp, primary key (id));
create table Reassignment (id bigint generated by default as identity (start with 1), Escalation_Reassignments_Id bigint, primary key (id));
create table Reassignment_potentialOwners (task_id bigint not null, entity_id varchar(255) not null);
create table SessionInfo (id integer generated by default as identity (start with 1), lastModificationDate timestamp, rulesByteArray longvarbinary, startDate timestamp, OPTLOCK integer, primary key (id));
create table SubTasksStrategy (DTYPE varchar(100) not null, id bigint generated by default as identity (start with 1), name varchar(255), Task_Id bigint, primary key (id));
create table Task (id bigint generated by default as identity (start with 1), allowedToDelegate varchar(255), priority integer not null, activationTime timestamp, createdOn timestamp, documentAccessType integer, documentContentId bigint not null, documentType varchar(255), expirationTime timestamp, faultAccessType integer, faultContentId bigint not null, faultName varchar(255), faultType varchar(255), outputAccessType integer, outputContentId bigint not null, outputType varchar(255), parentId bigint not null, previousStatus integer, processInstanceId bigint not null, skipable bit not null, status varchar(255), workItemId bigint not null, taskInitiator_id varchar(255), actualOwner_id varchar(255), createdBy_id varchar(255), primary key (id));
create table VariableInstanceLog (id bigint generated by default as identity (start with 1), log_date timestamp, processId varchar(255), processInstanceId bigint not null, value varchar(255), variableId varchar(255), variableInstanceId varchar(255), primary key (id));
create table WorkItemInfo (workItemId bigint generated by default as identity (start with 1), creationDate timestamp, name varchar(255), processInstanceId bigint not null, state bigint not null, OPTLOCK integer, workItemByteArray longvarbinary, primary key (workItemId));
create table email_header (id bigint generated by default as identity (start with 1), body longvarchar, fromAddress varchar(255), language varchar(255), replyToAddress varchar(255), subject varchar(255), primary key (id));
create table task_comment (id bigint generated by default as identity (start with 1), addedAt timestamp, text longvarchar, addedBy_id varchar(255), TaskData_Comments_Id bigint, primary key (id));
alter table Attachment add constraint FK1C935438EF5F064 foreign key (attachedBy_id) references OrganizationalEntity;
alter table Attachment add constraint FK1C93543F21826D9 foreign key (TaskData_Attachments_Id) references Task;
alter table BooleanExpression add constraint FKE3D208C0AFB75F7D foreign key (Escalation_Constraints_Id) references Escalation;
alter table Deadline add constraint FK21DF3E78684BACA3 foreign key (Deadlines_StartDeadLine_Id) references Task;
alter table Deadline add constraint FK21DF3E7827ABEB8A foreign key (Deadlines_EndDeadLine_Id) references Task;
alter table Delegation_delegates add constraint FK47485D572C122ED2 foreign key (entity_id) references OrganizationalEntity;
alter table Delegation_delegates add constraint FK47485D5736B2F154 foreign key (task_id) references Task;
alter table Escalation add constraint FK67B2C6B5C7A04C70 foreign key (Deadline_Escalation_Id) references Deadline;
alter table EventTypes add constraint FKB0E5621F7665489A foreign key (InstanceId) references ProcessInstanceInfo;
alter table I18NText add constraint FK2349686B2162DFB4 foreign key (Notification_Descriptions_Id) references Notification;
alter table I18NText add constraint FK2349686BD488CEEB foreign key (Notification_Names_Id) references Notification;
alter table I18NText add constraint FK2349686B5EEBB6D9 foreign key (Reassignment_Documentation_Id) references Reassignment;
alter table I18NText add constraint FK2349686B3330F6D9 foreign key (Deadline_Documentation_Id) references Deadline;
alter table I18NText add constraint FK2349686B8046A239 foreign key (Notification_Documentation_Id) references Notification;
alter table I18NText add constraint FK2349686B69B21EE8 foreign key (Task_Descriptions_Id) references Task;
alter table I18NText add constraint FK2349686BB2FA6B18 foreign key (Task_Subjects_Id) references Task;
alter table I18NText add constraint FK2349686B98B62B foreign key (Task_Names_Id) references Task;
alter table I18NText add constraint FK2349686BF952CEE4 foreign key (Notification_Subjects_Id) references Notification;
alter table Notification add constraint FK2D45DD0B3E0890B foreign key (Escalation_Notifications_Id) references Escalation;
alter table Notification_BAs add constraint FK2DD68EE02C122ED2 foreign key (entity_id) references OrganizationalEntity;
alter table Notification_BAs add constraint FK2DD68EE09C76EABA foreign key (task_id) references Notification;
alter table Notification_Recipients add constraint FK98FD214E2C122ED2 foreign key (entity_id) references OrganizationalEntity;
alter table Notification_Recipients add constraint FK98FD214E9C76EABA foreign key (task_id) references Notification;
alter table Notification_email_header add constraint FKF30FE3441F7B912A foreign key (emailHeaders_id) references email_header;
alter table Notification_email_header add constraint FKF30FE34430BE501C foreign key (Notification_id) references Notification;
alter table PeopleAssignments_BAs add constraint FK9D8CF4EC2C122ED2 foreign key (entity_id) references OrganizationalEntity;
alter table PeopleAssignments_BAs add constraint FK9D8CF4EC36B2F154 foreign key (task_id) references Task;
alter table PeopleAssignments_ExclOwners add constraint FKC77B97E42C122ED2 foreign key (entity_id) references OrganizationalEntity;
alter table PeopleAssignments_ExclOwners add constraint FKC77B97E436B2F154 foreign key (task_id) references Task;
alter table PeopleAssignments_PotOwners add constraint FK1EE418D2C122ED2 foreign key (entity_id) references OrganizationalEntity;
alter table PeopleAssignments_PotOwners add constraint FK1EE418D36B2F154 foreign key (task_id) references Task;
alter table PeopleAssignments_Recipients add constraint FKC6F615C22C122ED2 foreign key (entity_id) references OrganizationalEntity;
alter table PeopleAssignments_Recipients add constraint FKC6F615C236B2F154 foreign key (task_id) references Task;
alter table PeopleAssignments_Stakeholders add constraint FK482F79D52C122ED2 foreign key (entity_id) references OrganizationalEntity;
alter table PeopleAssignments_Stakeholders add constraint FK482F79D536B2F154 foreign key (task_id) references Task;
alter table Reassignment add constraint FK724D0560A5C17EE0 foreign key (Escalation_Reassignments_Id) references Escalation;
alter table Reassignment_potentialOwners add constraint FK90B59CFF2C122ED2 foreign key (entity_id) references OrganizationalEntity;
alter table Reassignment_potentialOwners add constraint FK90B59CFFE17E130F foreign key (task_id) references Reassignment;
alter table SubTasksStrategy add constraint FKDE5DF2E136B2F154 foreign key (Task_Id) references Task;
alter table Task add constraint FK27A9A59E619A0 foreign key (createdBy_id) references OrganizationalEntity;
alter table Task add constraint FK27A9A56CE1EF3A foreign key (actualOwner_id) references OrganizationalEntity;
alter table Task add constraint FK27A9A5F213F8B5 foreign key (taskInitiator_id) references OrganizationalEntity;
alter table task_comment add constraint FK61F475A5B35E68F5 foreign key (TaskData_Comments_Id) references Task;
alter table task_comment add constraint FK61F475A52FF04688 foreign key (addedBy_id) references OrganizationalEntity;
